We’re rewarding the question askers & reputations are being recalculated! Read more.
3 added 6 characters in body
source | link

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

In my case I needed to change my code in webpack.shared.js like this:

    {
      test: /\.scss$(scss|css)$/,
      use: ExtractTextPlugin.extract({
        fallback: 'style-loader',
        use: [
          "css-loader", // translates CSS into CommonJS
          "sass-loader" // compiles Sass to CSS
        ]
      }),
    },

Thanks to @Adam for helping me

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

In my case I needed to change my code in webpack.shared.js like this:

    {
      test: /\.scss$/,
      use: ExtractTextPlugin.extract({
        fallback: 'style-loader',
        use: [
          "css-loader", // translates CSS into CommonJS
          "sass-loader" // compiles Sass to CSS
        ]
      }),
    },

Thanks to @Adam for helping me

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

In my case I needed to change my code in webpack.shared.js like this:

    {
      test: /\.(scss|css)$/,
      use: ExtractTextPlugin.extract({
        fallback: 'style-loader',
        use: [
          "css-loader", // translates CSS into CommonJS
          "sass-loader" // compiles Sass to CSS
        ]
      }),
    },

Thanks to @Adam for helping me

2 added 379 characters in body
source | link

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

In my case I needed to change my code in webpack.shared.js like this:

    {
      test: /\.scss$/,
      use: ExtractTextPlugin.extract({
        fallback: 'style-loader',
        use: [
          "css-loader", // translates CSS into CommonJS
          "sass-loader" // compiles Sass to CSS
        ]
      }),
    },

Thanks to @Adam for helping me

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

Thanks to @Adam for helping me

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

In my case I needed to change my code in webpack.shared.js like this:

    {
      test: /\.scss$/,
      use: ExtractTextPlugin.extract({
        fallback: 'style-loader',
        use: [
          "css-loader", // translates CSS into CommonJS
          "sass-loader" // compiles Sass to CSS
        ]
      }),
    },

Thanks to @Adam for helping me

1
source | link

How I fixed this error.

  1. First, disable UglifyJsPlugin from webpack.shared.js
  2. "jss deploy package"
  3. Then go to the line specified in the error dist\my-app\server.bundle.js
  4. You will find what plugin are causing this error

Thanks to @Adam for helping me